<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*" %>

<% 
/***********************************
* TAG参数初始化
***********************************/
//要显示栏目的ID
String CLASS_ID = StrUtil.getNotNullStringValue(request.getParameter("CLASS_ID"),""); 

//过滤属性
String FILTER = StrUtil.getNotNullStringValue(request.getParameter("FILTER"),""); 

//排序属性
String ORDER = StrUtil.getNotNullStringValue(request.getParameter("ORDER"),""); 

//显示的范围，可以是现有文章，回收站中的文章，全部
String SCOPE = StrUtil.getNotNullStringValue(request.getParameter("SCOPE"),""); 

//指定显示哪一篇文章
String ARTICLE_ID = StrUtil.getNotNullStringValue(request.getParameter("ARTICLE_ID"),""); 

//显示哪一个专题
String SPECIAL_ID = StrUtil.getNotNullStringValue(request.getParameter("SPECIAL_ID"),""); 

//搜索关键字
String KEY = StrUtil.getNotNullStringValue(request.getParameter("KEY"),"");

//网站群节点ID
String NODE_ID = StrUtil.getNotNullStringValue(request.getParameter("NODE_ID"),"root");

//网站群节点参数
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + request.getParameter("cluster_node_id");
}

/***********************************
* 显示特性参数初始化
***********************************/
//新闻标题长度
int TITLE_LENGTH = StrUtil.getNotNullIntValue(request.getParameter("TITLE_LENGTH"),10);

//行数
String PAGE_SIZE = StrUtil.getNotNullStringValue(request.getParameter("PAGE_SIZE"),"4"); 

//显示添加日期的格式
String ADD_DATE_FORMAT = StrUtil.getNotNullStringValue(request.getParameter("ADD_DATE_FORMAT"),"MM-dd");

//图像宽度
int IMG_WIDTH = StrUtil.getNotNullIntValue(request.getParameter("IMG_WIDTH"),130);

//图像高度
int IMG_HEIGHT = StrUtil.getNotNullIntValue(request.getParameter("IMG_HEIGHT"),100);

String IS_SHOW_TITLE = StrUtil.getNotNullStringValue(request.getParameter("IS_SHOW_TITLE"),"true");

//显示文章的默认页面
String SHOW_ARTICLE_PAGE = StrUtil.getNotNullStringValue(request.getParameter("SHOW_ARTICLE_PAGE"),"/templet/default/ShowArticle.jsp");


/***********************************
* 元素隐显参数初始化
***********************************/
String CSS = StrUtil.getNotNullStringValue(request.getParameter("CSS"),"page_class_content");

if(IS_SHOW_TITLE.equals("true")){
	IS_SHOW_TITLE = "";
}else{
	IS_SHOW_TITLE = "none";
}

//其它内容变量
int i = 0;
%>
<!--图片幻灯效果JS-->
<script language=JavaScript>

var imgUrl1=new Array();
var imgLink1=new Array();
var imgText1=new Array();
var imgOutLink1 = new Array();
var adNum1=0;
var jumpUrl1="ShowArticle.jsp";

<!--显示图片文章-->
<cms4j:article page_size="<%=PAGE_SIZE%>" class_id="<%=CLASS_ID%>" filter="summary_image" filter2="<%=FILTER%>" order="<%=ORDER%>" scope="<%=SCOPE%>" article_id="<%=ARTICLE_ID%>" special_id="<%=SPECIAL_ID%>" key="<%=KEY%>" node_id="<%=NODE_ID%>">
<cms4j:article_list>
//第<%=++i%>幅图
imgUrl1[<%=i%>]="<%=article_info.getHOMEPAGE_IMAGE()%>";
imgLink1[<%=i%>]="<%=article_info.getURL(SHOW_ARTICLE_PAGE)%>&&<%=CLUSTER_URL_PARAM%>";
imgText1[<%=i%>]="<%=article_info.getTITLE(TITLE_LENGTH," ...","","","",false)%>";
imgOutLink1[<%=i%>]="<%=article_info.getLINK_TO_EXTERIOR()%>";
</cms4j:article_list>
</cms4j:article>

var imgPre1=new Array();
var j=0;
for (i=1;i<=<%=PAGE_SIZE%>;i++) {
	if( (imgUrl1[i]!="") && (imgLink1[i]!="") ) {
		j++;
	} else {
		break;
	}
}

function playTran1(){
	if (document.all)
		imgInit.filters.revealTrans.play();
}

var key=0;
function nextAd1(){
	if(adNum1<j)adNum1++ ;
	else adNum1=1;
	
	if( key==0 ){
		key=1;
	} else if (document.all){
		imgInit.filters.revealTrans.Transition=23;
		imgInit.filters.revealTrans.apply();
             playTran1();

	}
	document.images.imgInit.src=imgUrl1[adNum1];
	document.all.titlediv.innerHTML=imgText1[adNum1];
	theTimer=setTimeout("nextAd1()", 5000);
}


function goUrl1(){

	if(imgOutLink1[adNum1] == ''){
		//如果没有外部链接，则显示普通链接
		jumpUrl1=imgLink1[adNum1];
	}else{
		jumpUrl1=imgOutLink1[adNum1];
	}
	
	jumpTarget='_blank';
	if (jumpUrl1 != ''){
		if (jumpTarget != '') 
			window.open(jumpUrl1,jumpTarget);
		else
			location.href=jumpUrl1;
	}
}
</script>			  
<a href="javascript:goUrl1()"><img style="FILTER: revealTrans(duration=2,transition=6)" src="javascript:nextAd1()" width=<%=IMG_WIDTH%> border=0 name=imgInit height=<%=IMG_HEIGHT%>>
<div id="titlediv" class="<%=CSS%>" align="center" style="display:<%=IS_SHOW_TITLE%>">titlediv</div></a>
